# Generated by Django 2.2.1 on 2019-05-10 20:53
import uuid
from django.db import migrations, models
from django.utils.text import slugify

def set_slugs(apps, schema_editor):
    Collection = apps.get_model('music', 'Collection')
    Track = apps.get_model('music', 'Track')
    for c in Collection.objects.all():
        c.slug = slugify(c.title)
        c.save()
    for t in Track.objects.all():
        t.slug = slugify(t.title)
        t.save()
        


class Migration(migrations.Migration):

    dependencies = [
        ('music', '0004_auto_20190510_1945'),
    ]

    operations = [
        migrations.AddField(
            model_name='collection',
            name='slug',
            field=models.CharField(max_length=100, null=True, default=None, unique=False, verbose_name='Collection title slug'),
        ),
        migrations.AddField(
            model_name='track',
            name='slug',
            field=models.CharField(max_length=100, null=True, default=None, unique=False, verbose_name='Track title slug'),
        ),
        migrations.RunPython(set_slugs),
        migrations.AlterField(
            model_name='collection',
            name='slug',
            field=models.CharField(max_length=100, null=False, unique=True, verbose_name='Collection title slug'),
        ),
        migrations.AlterField(
            model_name='track',
            name='slug',
            field=models.CharField(max_length=100, null=False, unique=True, verbose_name='Track title slug'),
        ),
    ]
